Package ru.bitel.bgbilling.modules.card.server.bean

# Class DPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.card.server.bean.DPayment

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class DPayment extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `equalz(DPayment pay)`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDateTime()`
  `int`
  `getDealerId()`
  `String`
  `getPaymentComment()`
  `int`
  `getPaymentId()`
  `int`
  `getPaymentType()`
  `int`
  `getStatus()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getTransId()`
  `void`
  `setContractComment(String contractComment)`
  `DPayment`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateTime(Date date)`
  `void`
  `setDealerId(int dealerId)`
  `DPayment`
  `setId(int id)`
  Устанавливает id объекта
  `void`
  `setPaymentComment(String comment)`
  `void`
  `setPaymentId(int id)`
  `void`
  `setPaymentType(int paymentType)`
  `void`
  `setStatus(int status)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTransId(String transId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DPayment

    public DPayment()

- ## Method Details

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment(String comment)

  - ### setContractId

    public DPayment setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getDateTime

    public Date getDateTime()

  - ### setDateTime

    public void setDateTime(Date date)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId(int id)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### setId

    public DPayment setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### getTransId

    public String getTransId()

  - ### setTransId

    public void setTransId(String transId)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId(int dealerId)

  - ### equalz

    public int equalz(DPayment pay)

  - ### getPaymentType

    public int getPaymentType()

  - ### setPaymentType

    public void setPaymentType(int paymentType)